POST api/NTOrderSettings/PostLaboratoryOrderType

Request Information

URI Parameters

None.

Body Parameters

OrderLaboratoryTypeDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 150

Sequence

integer

None.

Protocols

string

String length: inclusive between 0 and 4000

ListLaboratorySpecimen

Collection of OrderLaboratorySpecimenDTO

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "Sequence": 3,
  "Protocols": "sample string 4",
  "ListLaboratorySpecimen": [
    {
      "Id": 1,
      "Sequence": 2,
      "OrderLaboratoryTypeId": 3,
      "SpecimenTypeCode": "sample string 4",
      "TangAndCompanyCode": "sample string 5",
      "CPTCode": "sample string 6",
      "SpecimenTypeName": "sample string 7",
      "SpecimenValidFlag": true,
      "Selected": true,
      "LaboratoryId": "sample string 10",
      "IsDefaultSpecimen": true,
      "IsFavourite": true,
      "IsReasonRequired": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:44:35.1649847-07:00",
      "DateUpdated": "2026-06-20T12:44:35.1649847-07:00",
      "UserIDCreated": 17,
      "UserIDUpdated": 18,
      "CompanyCode": "sample string 19",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Sequence": 2,
      "OrderLaboratoryTypeId": 3,
      "SpecimenTypeCode": "sample string 4",
      "TangAndCompanyCode": "sample string 5",
      "CPTCode": "sample string 6",
      "SpecimenTypeName": "sample string 7",
      "SpecimenValidFlag": true,
      "Selected": true,
      "LaboratoryId": "sample string 10",
      "IsDefaultSpecimen": true,
      "IsFavourite": true,
      "IsReasonRequired": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:44:35.1649847-07:00",
      "DateUpdated": "2026-06-20T12:44:35.1649847-07:00",
      "UserIDCreated": 17,
      "UserIDUpdated": 18,
      "CompanyCode": "sample string 19",
      "IsExcludeDiscount": true
    }
  ],
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:44:35.1649847-07:00",
  "DateUpdated": "2026-06-20T12:44:35.1649847-07:00",
  "UserIDCreated": 8,
  "UserIDUpdated": 9,
  "CompanyCode": "sample string 10",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfOrderLaboratoryTypeDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

OrderLaboratoryTypeDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "Sequence": 3,
    "Protocols": "sample string 4",
    "ListLaboratorySpecimen": [
      {
        "Id": 1,
        "Sequence": 2,
        "OrderLaboratoryTypeId": 3,
        "SpecimenTypeCode": "sample string 4",
        "TangAndCompanyCode": "sample string 5",
        "CPTCode": "sample string 6",
        "SpecimenTypeName": "sample string 7",
        "SpecimenValidFlag": true,
        "Selected": true,
        "LaboratoryId": "sample string 10",
        "IsDefaultSpecimen": true,
        "IsFavourite": true,
        "IsReasonRequired": true,
        "ValidFlag": true,
        "DateCreated": "2026-06-20T12:44:35.1802699-07:00",
        "DateUpdated": "2026-06-20T12:44:35.1802699-07:00",
        "UserIDCreated": 17,
        "UserIDUpdated": 18,
        "CompanyCode": "sample string 19",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "Sequence": 2,
        "OrderLaboratoryTypeId": 3,
        "SpecimenTypeCode": "sample string 4",
        "TangAndCompanyCode": "sample string 5",
        "CPTCode": "sample string 6",
        "SpecimenTypeName": "sample string 7",
        "SpecimenValidFlag": true,
        "Selected": true,
        "LaboratoryId": "sample string 10",
        "IsDefaultSpecimen": true,
        "IsFavourite": true,
        "IsReasonRequired": true,
        "ValidFlag": true,
        "DateCreated": "2026-06-20T12:44:35.1802699-07:00",
        "DateUpdated": "2026-06-20T12:44:35.1802699-07:00",
        "UserIDCreated": 17,
        "UserIDUpdated": 18,
        "CompanyCode": "sample string 19",
        "IsExcludeDiscount": true
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:44:35.1802699-07:00",
    "DateUpdated": "2026-06-20T12:44:35.1802699-07:00",
    "UserIDCreated": 8,
    "UserIDUpdated": 9,
    "CompanyCode": "sample string 10",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}